Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.Utilities class.
jala Utilities()
Construct a utility object.
methods

- toString()

- createPassword(len, level)

- diffObjects(obj1, obj2)

- patchObject(obj, diff)

jala.Utilities jala. util
Default utility class instance.
Number jala. Utilities.VALUE_REMOVED
Static field indicating a removed object property.
Number jala. Utilities.VALUE_ADDED
Static field indicating ad added object property.
Number jala. Utilities.VALUE_MODIFIED
Static field indicating a modified object property.
Methods
jala.Utilities. toString()
Return a string representation of the utitility object.
returns

| [jala.Utilities Object]

jala.Utilities. createPassword(len, level)
Creates a random password with different levels of security.
parameters

Number | len | The length of the password (default: 8)

Number

level

The security level

- 0 - containing only vowels or consonants (default)
- 1 - throws in a number at random position
- 2 - throws in a number and a special character at random position

returns

| The resulting password

jala.Utilities. diffObjects(obj1, obj2)
Returns an array containing the properties that are added, removed or modified in one object compared to another.
parameters

Object | obj1 | The first of two objects which should be compared
Object | obj2 | The second of two objects which should be compared

returns

| An Object containing all properties that are added, removed or modified in the second object compared to the first. Each property contains a status field with an integer value which can be checked against the static jala.Utility fields VALUE_ADDED, VALUE_MODIFIED and VALUE_REMOVED.

jala.Utilities. patchObject(obj, diff)
Patches an object with a "diff" object created by the {@link #diffObjects} method. Please mind that this method is recursive, it descends along the "diff" object structure.
parameters

Object | obj | The Object the diff should be applied to
Object | diff | A "diff" object created by the {@link #diffObjects} method

returns

| The patched Object with all differences applied

Tue, 25 Nov 2008 16:50:11 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar